<?php

//Mock::generate('Wact_Php_Writer', 'MockCodeWriter');


class Wact_Template_Compiler_Node_RootTestCase extends Wact_Test_Case {

    function setUp() {
        $this->node = new Wact_Template_Compiler_Node_Root(NULL, NULL, 
            new Wact_Template_Compiler_Location('file', 0));
    }

    function tearDown() {
        unset ( $this->node );
        parent::tearDown();
    }

/*
    function testPreGenerate() {
        // BAD TEST: see bug #896626
        $code = new MockCodeWriter($this);
        $code->expectAtLeastOnce('writePHP', array('$root->prepare();'));

        $this->node->preGenerate($code);

        $code->tally();
    }
*/

}
?>